# eric6.WebBrowser.JavaScript.StartPageJsObject

Module implementing the Python side of the eric home page.

### Global Attributes

None

### Classes

StartPageJsObject | Class implementing the Python side of the eric home page.

### Functions

None

## StartPageJsObject

Class implementing the Python side of the eric home page.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

StartPageJsObject | Constructor
providerString | Public method to get a string for the search provider.
searchUrl | Public method to get the search URL for the given search term.

### Static Methods

None

#### StartPageJsObject (Constructor)

StartPageJsObject(parent=None)

Constructor

parent (ExternalJsObject)
  reference to the parent object

#### StartPageJsObject.providerString

providerString()

Public method to get a string for the search provider.

Returns:
  string for the search provider (string)

#### StartPageJsObject.searchUrl

searchUrl(searchStr)

Public method to get the search URL for the given search term.

searchStr
  search term (string)

Returns:
  search URL (string)

Up